import { z } from "zod"

export const buildTypesAddSchema = z.object({
    buildNumber: z.string(),
    doorNumber: z.string(),
    floorNumber: z.string(),
    commentAddress: z.string(),
    letterAddress: z.string(),
    shortLetterAddress: z.string(),
    latitude: z.number(),
    longitude: z.number(),
    street: z.string().optional(),
});

export type BuildTypesAdd = z.infer<typeof buildTypesAddSchema>;
